classification
Title: types.SimpleNamespace needs to be picklable
Type: behavior Stage: resolved
Components: Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: eric.snow, python-dev
Priority: normal Keywords: needs review, patch

Created on 2012-06-07 03:37 by eric.snow, last changed 2013-02-17 01:25 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
issue15022_pickle.diff eric.snow, 2012-06-07 07:36 review
Messages (4)
msg162453 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2012-06-07 03:37
In issue 15003 Raymond recommended that types.SimpleNamespace be picklable.  I'll get a patch up as soon as I can to add this capability.
msg162462 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2012-06-07 07:36
I've attached a patch that gives types.SimpleNamespace pickle support.  To do it I had to change the name of the type from "namespace" to "types.SimpleNamespace".  That's fine.

I also added __eq__/__ne__ support so I could use it during tests.
msg182249 - (view) Author: Roundup Robot (python-dev) Date: 2013-02-16 23:42
New changeset 3b93ab8c9c20 by Eric Snow in branch 'default':
Issue #15022: Add pickle and comparison support to types.SimpleNamespace.
http://hg.python.org/cpython/rev/3b93ab8c9c20
msg182252 - (view) Author: Roundup Robot (python-dev) Date: 2013-02-17 01:25
New changeset e4c065b2db49 by Eric Snow in branch 'default':
Issue #15022: Ensure all pickle protocols are supported.
http://hg.python.org/cpython/rev/e4c065b2db49
History
Date User Action Args
2013-02-17 01:25:49python-devsetmessages: + msg182252
2013-02-16 23:46:37eric.snowsetstatus: open -> closed
stage: patch review -> resolved
resolution: fixed
versions: + Python 3.4, - Python 3.3
2013-02-16 23:42:25python-devsetnosy: + python-dev
messages: + msg182249
2012-06-07 07:36:27eric.snowsetfiles: + issue15022_pickle.diff
versions: + Python 3.3
messages: + msg162462

keywords: + needs review, patch
stage: needs patch -> patch review
2012-06-07 03:37:40eric.snowcreate